Bug 1197402 - spec file for 7.19 version bump
Summary: spec file for 7.19 version bump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdouros-symbola-fonts
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Ploumistos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-01 00:47 UTC by Alexander Ploumistos
Modified: 2015-05-08 07:36 UTC (History)
3 users (show)

Fixed In Version: gdouros-symbola-fonts-7.21-0.3.20150430.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-08 07:36:23 UTC


Attachments (Terms of Use)
new spec file (3.34 KB, text/plain)
2015-03-01 00:47 UTC, Alexander Ploumistos
no flags Details
7.21 spec file (3.43 KB, text/plain)
2015-03-05 01:29 UTC, Alexander Ploumistos
no flags Details
7.21-2 spec file (3.55 KB, text/plain)
2015-03-13 15:44 UTC, Alexander Ploumistos
no flags Details

Description Alexander Ploumistos 2015-03-01 00:47:04 UTC
Created attachment 996667 [details]
new spec file

Hello,

I noticed that Mr. Douros had a new version of the Symbola font which supports Unicode 7.0 glyphs, so I thought I'd lend a hand and I am attaching a revised spec file.

Several things to note:

1. There is now a font with hinting (Symbola_hint.ttf). I have included it in the spec file, but I was not sure if I should add some info to the fontconfig or the AppData files.

2. The Symbola.pdf is no longer included in the package, but it is hosted on the website, so I added that to the sources. Could you please check if the syntax could be improved? I don't have much experience in building rpms, but I'm trying to learn.

3. The source zip contains an MS Word file and an HTML file, with samples. I opted not to include them in the package, but should the HTML have landed in the doc section?

Comment 1 Milan Bouchet-Valat 2015-03-01 12:21:53 UTC
Unfortunately, I've already proposed to update the package, and the maintainer doesn't seem to respond. Do you know how to proceed if we get no reply again?

Comment 2 Alexander Ploumistos 2015-03-01 12:31:43 UTC
(In reply to Milan Bouchet-Valat from comment #1)
> Do you know how to proceed if we get no reply again?

http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

fedora-active-user reports this for ozamosi:

Last login in FAS:
   ozamosi 2013-08-15
Last action on koji:
   Mon, 03 Nov 2014 package list entry revoked: gdouros-symbola-fonts in f21-Beta by ausil
Last package update on bodhi:
   No activity found on bodhi
Last actions performed according to fedmsg:
  - ozamosi updated their irc filters on 2015-02-12 22:34:58
  - ozamosi updated their irc filters on 2015-02-12 22:34:56
  - ozamosi updated their irc filters on 2015-02-12 22:34:54
  - ozamosi updated their email filters on 2015-02-12 22:34:54
  - ozamosi updated their email filters on 2015-02-12 22:34:52
  - ozamosi updated their email filters on 2015-02-12 22:34:50

So maybe he is on vacation or something?

Comment 3 Milan Bouchet-Valat 2015-03-01 15:17:13 UTC
Ah, thanks. Doesn't look like he's on vacation, as bug 1131000 has been filed in August. So apart from the filters update, which may well be an automated thing given the very close timestamps, no activities appear for one year and a half. Do you think comments on bug 1131000 count for the "two failed attempts" mentioned by the policy? Should we start with step 3 then (mail to fedora-devel)?

Comment 4 Alexander Ploumistos 2015-03-01 17:15:53 UTC
(In reply to Milan Bouchet-Valat from comment #3)
> Do you think comments on bug 1131000 count for the "two
> failed attempts" mentioned by the policy? Should we start with step 3 then
> (mail to fedora-devel)?

Not really sure about that, but a message to fedora-devel with links to the bug reports wouldn't hurt in any case. I'm a little busy with some work-related stuff until ~Wednesday, so if you don't mind proceeding on your own, please do.

In the mean time, the spec file works as expected and rpmlint doesn't object to anything in the src.rpm, so if you need it, you can build the font package with it. However, the issues that I have outlined above remain.

Comment 5 Alexander Ploumistos 2015-03-05 01:29:18 UTC
Created attachment 998123 [details]
7.21 spec file

I am attaching a spec file for the recent 7.21 font. I have also started a thread on the fedora-devel ml, we'll have to wait and see.

Comment 6 Alexander Ploumistos 2015-03-13 15:44:16 UTC
Created attachment 1001433 [details]
7.21-2 spec file

There is newer version of the font and after a brief discussion on the mailing list and some info provided by the creator of the font, I have removed the hinted version.

Milan, it seems that ozamosi is still active:

Last action on koji:
   Sat, 07 Mar 2015 package list entry created: msimonson-anonymouspro-fonts in f22-Alpha by ausil [still active]

I suggest you try to contact him and apply for co-maintainership, if you are still interested.

Comment 7 Milan Bouchet-Valat 2015-03-13 20:59:23 UTC
Hmm, I'm not sure that's real activity. I don't see any updates or build for that package for several months. Looks like another automated thing. Given nobody replied to your message on -devel, I think we should open a ticket on Trac. Are you interested in becoming a co-maintainer, since you've already done the work? Doesn't look like I can be very useful, except maybe for a review if you want.

Comment 8 Alexander Ploumistos 2015-03-14 14:47:37 UTC
I will try to contact him directly and if he does not respond by next Saturday, I will continue the process, starting from a message on fedora-devel, because my previous one had a little bit of everything in it, so it might have been missed. By the end of the process, the package will become an orphan and it will be up for grabs.
I wouldn't mind taking ownership, but a) I do not know a lot about fonts, b) I am not in the packagers group and c) if you compare my last spec file to the latest by ozamosi, the only difference is that it contains the Symbola.pdf file that was split from the source package and I still haven't figured out what to do with the documentation that is in MS Word format, so I haven't done that much work. If or when the package is declared an orphan, don't have any qualms about taking it, especially if you are in the packagers group. If you are not, we can toss a coin or something.

Comment 9 Fedora Admin XMLRPC Client 2015-05-03 21:56:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Update System 2015-05-04 02:35:03 UTC
gdouros-symbola-fonts-7.21-0.3.20150430.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gdouros-symbola-fonts-7.21-0.3.20150430.fc22

Comment 11 Fedora Update System 2015-05-08 07:36:23 UTC
gdouros-symbola-fonts-7.21-0.3.20150430.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.